<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.server" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-host,servlet-container"/>
        <elem name="addr-params" value="profile,subsystem,server"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.server.$server"/>
        <capability name="$profile.org.wildfly.web.common.server"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="server" feature-id="true"/>
        <param name="servlet-container" nillable="true" stability="default"/>
        <param name="default-host" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>